/*
 *  Background.h
 *  Assignment2
 *
 *  Created by Zach Gildersleeve on 1/27/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef BACKGROUND_H
#define BACKGROUND_H

class Color;
class RenderContext;
class Ray;

class Background {
	public:
		Background();
		virtual ~Background();
		
		virtual void preprocess();
		virtual void getBackgroundColor(Color &result, const RenderContext &context, const Ray &ray) = 0;
	
		Background(const Background &bg);
		Background &operator=(const Background &bg);
};

#endif
