/*
 *  Material.h
 *  Assignment2
 *
 *  Created by Zach Gildersleeve on 1/28/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef MATERIAL_H
#define MATERIAL_H

class Color;
class RenderContext;
class Ray;
class HitRecord;

//#include "Color.h"
//#include "RenderContext.h"

class Material {
	public:
		Material();
		virtual ~Material();
		
		virtual void preprocess();
		virtual void shade(Color &result, const RenderContext &context,
						   const Ray &ray, const HitRecord &hit, int depth) const = 0;
	
		Material(const Material &m);
		Material &operator=(const Material &m);
};

#endif