/*
 *  Camera.h
 *  Assignment2
 *
 *  Created by Zach Gildersleeve on 1/27/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef CAMERA_H
#define CAMERA_H

class Ray;
class RenderContext;

class Camera {
	public:
		Camera();		
		virtual ~Camera();
		
		virtual void preprocess(double aspectRatio) = 0;
		virtual void makeRay(Ray &ray, const RenderContext &context, double x, double y) const = 0;
		
		Camera(const Camera &c);
		Camera &operator=(const Camera &c);
};

#endif